| Apache Ignite C++

Public Member Functions | Static Public Member Functions | List of all members
ignite::thin::IgniteClient Class Reference

Ignite client class. More...

`#include <ignite_client.h>`

## Public Member Functions
| IgniteClient ()
| Default constructor.
| ~IgniteClient ()
| Destructor.
template<typename K , typename V >
cache::CacheClient< K, V > | GetCache (const char *name)
| Get cache. More...
template<typename K , typename V >
cache::CacheClient< K, V > | GetOrCreateCache (const char *name)
| Get or create cache. More...
template<typename K , typename V >
cache::CacheClient< K, V > | CreateCache (const char *name)
| Create cache. More...
void | DestroyCache (const char *name)
| Destroy cache by name. More...
void | GetCacheNames (std::vector< std::string > &cacheNames)
| Get names of currently available caches or an empty collection if no caches are available. More...
transactions::ClientTransactions | ClientTransactions ()
| Starts transactions.
compute::ComputeClient | GetCompute ()
| Get client compute API.

## Static Public Member Functions
static IgniteClient | Start (const IgniteClientConfiguration &cfg)
| Start client. More...

## Detailed Description

Ignite client class.

This is an entry point for Thin C++ Ignite client. Its main purpose is to establish connection to the remote server nodes.

This class is implemented as a reference to an implementation so copying of this class instance will only create another reference to the same underlying object. Underlying object will be released automatically once all the instances are destructed.

## Member Function Documentation

## ◆ CreateCache()

template<typename K , typename V >

cache::CacheClient<K, V> ignite::thin::IgniteClient::CreateCache | ( | const char * | name | ) |
| inline

Create cache.

Parameters

  name | Cache name.

Returns
  Cache.

## ◆ DestroyCache()

void ignite::thin::IgniteClient::DestroyCache | ( | const char * | name | ) |

Destroy cache by name.

Parameters

  name | Cache name.

## ◆ GetCache()

template<typename K , typename V >

cache::CacheClient<K, V> ignite::thin::IgniteClient::GetCache | ( | const char * | name | ) |
| inline

Get cache.

Parameters

  name | Cache name.

Returns
  Cache.

## ◆ GetCacheNames()

void ignite::thin::IgniteClient::GetCacheNames | ( | std::vector< std::string > & | cacheNames | ) |

Get names of currently available caches or an empty collection if no caches are available.

Parameters

  cacheNames | Cache names. Output parameter.

## ◆ GetOrCreateCache()

template<typename K , typename V >

cache::CacheClient<K, V> ignite::thin::IgniteClient::GetOrCreateCache | ( | const char * | name | ) |
| inline

Get or create cache.

Parameters

  name | Cache name.

Returns
  Cache.

## ◆ Start()

static IgniteClient ignite::thin::IgniteClient::Start | ( | const IgniteClientConfiguration & | cfg | ) |
| static

Start client.

Parameters

  cfg | Client configuration.

Returns
  IgniteClient instance.

Exceptions

  IgnitError | on inability to connect.

The documentation for this class was generated from the following file:

- ignite_client.h